Public Member Functions | Friends | List of all members
clan::EventUI Class Reference

Base class for events being dispatched through the view hiarchy. More...

`#include <event.h>`

Inheritance diagram for clan::EventUI:

## Public Member Functions
virtual | ~EventUI ()
std::shared_ptr< View > | current_target ()
| View the event is currently being dispatched to. More...
bool | default_prevented () const
| Flag if the event default action should be executed after dispatch. More...
EventUIPhase | phase () const
| Current active event phase during dispatch. More...
void | prevent_default ()
| Prevent default action from being executed after dispatch. More...
bool | propagation_stopped () const
| Flag if event propagation should stop. More...
void | set_timestamp (long long ts)
| Set event timestamp. More...
void | stop_propagation ()
| Stops event from propagating further. More...
std::shared_ptr< View > | target ()
| The target view the event is fired for. More...
long long | timestamp () const
| Timestamp for event in milliseconds since 1970. More...

## Friends
class | RootView
class | View
class | ViewImpl

## Detailed Description

Base class for events being dispatched through the view hiarchy.

## Constructor & Destructor Documentation

virtual clan::EventUI::~EventUI | ( |  | ) |
| inline virtual

## Member Function Documentation

std::shared_ptr<View> clan::EventUI::current_target | ( |  | ) |
| inline

View the event is currently being dispatched to.

bool clan::EventUI::default_prevented | ( |  | ) | const
| inline

Flag if the event default action should be executed after dispatch.

EventUIPhase clan::EventUI::phase | ( |  | ) | const
| inline

Current active event phase during dispatch.

void clan::EventUI::prevent_default | ( |  | ) |
| inline

Prevent default action from being executed after dispatch.

bool clan::EventUI::propagation_stopped | ( |  | ) | const
| inline

Flag if event propagation should stop.

void clan::EventUI::set_timestamp | ( | long long | ts | ) |
| inline

Set event timestamp.

void clan::EventUI::stop_propagation | ( |  | ) |
| inline

Stops event from propagating further.

std::shared_ptr<View> clan::EventUI::target | ( |  | ) |
| inline

The target view the event is fired for.

long long clan::EventUI::timestamp | ( |  | ) | const
| inline

Timestamp for event in milliseconds since 1970.

## Friends And Related Function Documentation

friend class RootView
| friend

friend class View
| friend

friend class ViewImpl
| friend

The documentation for this class was generated from the following file:

- UI/Events/event.h